| Version: 3.3.1

Public Member Functions | List of all members
wxFontList Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include <wx/font.h>`

## Detailed Description

A font list is a list containing all fonts which have been created.

There is only one instance of this class: wxTheFontList.

Use this object to search for a previously created font of the desired type and create it if not already found.

In some windowing systems, the font may be a scarce resource, so it is best to reuse old resources if possible. When an application finishes, all fonts will be deleted and their resources freed, eliminating the possibility of 'memory leaks'.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also
  wxFont

## Public Member Functions
| wxFontList ()
| Constructor. More...
wxFont * | FindOrCreateFont (int point_size, wxFontFamily family, wxFontStyle style, wxFontWeight weight, bool underline=false, const wxString &facename=wxEmptyString, wxFontEncoding encoding=wxFONTENCODING_DEFAULT)
| Finds a font of the given specification, or creates one and adds it to the list. More...
wxFont * | FindOrCreateFont (const wxFontInfo &fontInfo)
| Finds a font of the given specification, or creates one and adds it to the list. More...

## Constructor & Destructor Documentation

## ◆ wxFontList()

wxFontList::wxFontList | ( |  | ) |

Constructor.

The application should not construct its own font list: use the object pointer wxTheFontList.

## Member Function Documentation

## ◆ FindOrCreateFont() [1/2]

wxFont* wxFontList::FindOrCreateFont | ( | const wxFontInfo & | fontInfo | ) |

Finds a font of the given specification, or creates one and adds it to the list.

See the wxFont constructor for details of the arguments.

Example of using this function to retrieve (creating it if necessary) a bold font of size 20:

wxFont* font = wxTheFontList->FindOrCreateFont(wxFontInfo(20).Bold());
wxFont
A font is an object which determines the appearance of text.
Definition: font.h:510
wxFontInfo
This class is a helper used for wxFont creation using named parameter idiom: it allows specifying var...
Definition: font.h:314
wxFontList::FindOrCreateFont
wxFont * FindOrCreateFont(int point_size, wxFontFamily family, wxFontStyle style, wxFontWeight weight, bool underline=false, const wxString &facename=wxEmptyString, wxFontEncoding encoding=wxFONTENCODING_DEFAULT)
Finds a font of the given specification, or creates one and adds it to the list.
wxTheFontList
wxFontList * wxTheFontList
The global wxFontList instance.
Definition: font.h:1412

Returns
  Font pointer which must not be deleted by the caller. The pointer is normally always valid, i.e. non-null.

Since
  3.1.1

## ◆ FindOrCreateFont() [2/2]

wxFont* wxFontList::FindOrCreateFont | ( | int | point_size,
|  | wxFontFamily | family,
|  | wxFontStyle | style,
|  | wxFontWeight | weight,
|  | bool | underline = `false`,
|  | const wxString & | facename = `wxEmptyString`,
|  | wxFontEncoding | encoding = `wxFONTENCODING_DEFAULT`
| ) |  |

Finds a font of the given specification, or creates one and adds it to the list.

See the wxFont constructor for details of the arguments.

Note that in the new code it's preferable to use FindOrCreateFont() overload taking wxFontInfo, as it can be used for the fonts with fractional point sizes or fonts with sizes specified in pixels, unlike this overload which can only be used with the fonts using integer size in points.